VERSION 5.00
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   2355
   ClientLeft      =   4035
   ClientTop       =   4485
   ClientWidth     =   5445
   LinkTopic       =   "Form1"
   ScaleHeight     =   2355
   ScaleWidth      =   5445
   Begin VB.ComboBox cboLanguages 
      Height          =   315
      Left            =   1170
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   90
      Width           =   4095
   End
   Begin MSForms.Label fraDesc 
      Height          =   435
      Left            =   1680
      TabIndex        =   3
      Top             =   840
      Width           =   1965
      Size            =   "3466;767"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
   Begin MSForms.Label lblLangs 
      Height          =   345
      Left            =   120
      TabIndex        =   2
      Top             =   90
      Width           =   1065
      Size            =   "1879;609"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
   End
   Begin MSForms.CommandButton cmdExit 
      Height          =   405
      Left            =   1860
      TabIndex        =   1
      Top             =   1860
      Width           =   1605
      Caption         =   "Exit"
      Size            =   "2831;714"
      FontHeight      =   165
      FontCharSet     =   0
      FontPitchAndFamily=   2
      ParagraphAlign  =   3
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim m_adoConn As ADODB.Connection
Dim m_bConnected As Boolean
Dim m_nLangId As Integer

Private Sub cboLanguages_Click()
    m_nLangId = cboLanguages.ListIndex
    LoadLang
End Sub

Private Sub cmdExit_Click()
    End
End Sub

Private Sub LoadLang()
    On Error Resume Next
    
    Dim adoRst As New ADODB.Recordset
    Dim strSQL As String
    Dim objCtrl As Object
    Dim strCtrlName As String
    Dim strCtrlCaption As String
        
    strSQL = "SELECT v_ControlName, nv_ControlCaption FROM tb_Jap_Captions WHERE UPPER(v_FormName) = '" + UCase(Me.Name) + "' AND i_LanguageId = " + Str(m_nLangId)
    
    
    adoRst.ActiveConnection = m_adoConn
    adoRst.Open strSQL
    
    While Not adoRst.EOF
        strCtrlName = adoRst(0)
        strCtrlCaption = adoRst(1)
        
        For Each objCtrl In Me.Controls
            If UCase(objCtrl.Name) = UCase(strCtrlName) Then
                objCtrl.Caption = strCtrlCaption
                Exit For
            End If
        Next
        
        adoRst.MoveNext
    Wend
    
    adoRst.Close
    Set adoRst = Nothing
    
End Sub

Private Sub Form_Load()
    On Error GoTo ErrorHandler

    Dim lValue As Long
    Dim strConnect As String * 255
    Dim strINIFile As String
        
    strINIFile = App.Path + "\Settings.ini"
    
    lValue = GetPrivateProfileString("CONN", "ConnectString", "NULL", strConnect, 255, strINIFile)
           
    Set m_adoConn = New ADODB.Connection
    m_adoConn.Open strConnect
        
    cboLanguages.AddItem "English"
    cboLanguages.AddItem "Japanase"
    
    m_bConnected = True
    m_nLangId = 0
    
    cboLanguages.ListIndex = 0
        
    Exit Sub
    
ErrorHandler:
    m_bConnected = False
    MsgBox Err.Description, vbCritical, "Error"
End Sub

Private Sub Form_Unload(Cancel As Integer)
    m_adoConn.Close
    Set m_adoConn = Nothing
End Sub

